Skip to main content
POST
Search Customer Payments

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Query Parameters

limit
integer
default:10
offset
integer
default:0

Body

application/json

Query parameters can also be provided in the request body as a JSON object

limit
integer | null
default:10

Maximum number of records to return in this page.

offset
integer | null
default:0

Number of matching records to skip before returning this page.

orderBy
object[] | null

Sort definition keyed by selectable field name; see Query filters.

where
PaymentsBoolExp Ā· object | null

Boolean expression to filter rows from the table "payments". All fields are combined with a logical 'AND'.

Response

Responses for POST /api/rest/customer_payments/search

customerPayments
Payments Ā· object[]

Customer payment records returned by this operation.